Retrieve a list of pending users

GET https://{controlplane_path}/api/1/rest/public/apim/pending_user_requests      

Overview

This API retrieves the user ID or the list of user IDs pending for approval. You can check the pending users under Subscription Manager.

Prerequisites

  • Org admin (Environment admin) permissions
  • Developer portal login credentials

Request

 GET https://{controlplane_path}/api/1/rest/public /apim/pending_user_requests?{query_parameter}

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com

Query parameters

Key Type Description
org_name string Specify the Org name to retrieve the pending user ID or list of user IDs.

Request header

In the request header, specify Basic for authorization, add your credentials (Login and password of your SnapLogic user or service account), and specify application/json for content type. For more details on accounts refer to Manage accounts.


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of Basic authentication using Postman

When using JWT authentication, the API requests includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT token.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authenthication using Postman

Request body

None

Response

{
  "Pending user requests": [
    {
      "username": "[email protected]",
      "first_name": "John",
      "last_name": "Doe",
      "request_time": "2024-02-07T20:35:26.825000+00:00",
      "org_snid": "64278be86d968c8a2b49e561",
      "_id": "65c3e98e69efcdfdc9c980ac"
    },
    {
      "username": "[email protected]",
      "first_name": "Erica",
      "last_name": "James",
      "request_time": "2024-03-15T12:45:36.123000+00:00",
      "org_snid": "64278be86d968c8a2b49e561",
      "_id": "65c3e98e69efcdfdc9c980ad"
    }
  ]
}
Key Type Description

{
  "username": "...",
  "first_name": "...",
  "last_name": "...",
  "request_time": "...",
  "org_snid": "...",
  "_id": "..."
}
string

The array of the JSON object contains:

  • username - User's email ID

  • first name - First name of the user

  • last name - Last name of user

  • request time - Time of the approval request sent

  • org sid - SnapLogic Org ID

  • id - Unique user ID